[android-components](../../index.md) / [mozilla.components.browser.tabstray](../index.md) / [BrowserTabsTray](./index.md)

# BrowserTabsTray

`class BrowserTabsTray : RecyclerView, `[`TabsTray`](../../mozilla.components.concept.tabstray/-tabs-tray/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/tabstray/src/main/java/mozilla/components/browser/tabstray/BrowserTabsTray.kt#L22)

A customizable tabs tray for browsers.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `BrowserTabsTray(context: <ERROR CLASS>, attrs: <ERROR CLASS>? = null, defStyleAttr: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = 0, tabsAdapter: `[`TabsAdapter`](../-tabs-adapter/index.md)` = TabsAdapter())`<br>A customizable tabs tray for browsers. |

### Properties

| Name | Summary |
|---|---|
| [tabsAdapter](tabs-adapter.md) | `val tabsAdapter: `[`TabsAdapter`](../-tabs-adapter/index.md) |

### Functions

| Name | Summary |
|---|---|
| [asView](as-view.md) | `fun asView(): <ERROR CLASS>`<br>Convenience method to cast this object to an Android View object. |
| [onDetachedFromWindow](on-detached-from-window.md) | `fun onDetachedFromWindow(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
